Name:           jettison
Version:        1.3.3
Release:        %mkrel 4
Summary:        A JSON StAX implementation
Group:          Development/Java
License:        ASL 2.0
URL:            http://jettison.codehaus.org/
# svn export http://svn.codehaus.org/jettison/tags/jettison-1.3.3 jettison-1.3.3
# rm -rf jettison-1.3.3/trunk
# tar cvJf jettison-1.3.3.tar.xz jettison-1.3.3
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch

# Change the POM to use the version of woodstox that we have available:
Patch0: %{name}-update-woodstox-version.patch

BuildRequires:     java-devel >= 1:1.6.0
Requires:          java >= 1:1.6.0
BuildRequires:     jpackage-utils
BuildRequires:     maven-local
BuildRequires:     maven-compiler-plugin
BuildRequires:     maven-install-plugin
BuildRequires:     maven-jar-plugin
BuildRequires:     maven-javadoc-plugin
BuildRequires:     maven-release-plugin
BuildRequires:     maven-resources-plugin
BuildRequires:     woodstox-core
BuildRequires:     stax2-api
BuildRequires:     mvn(net.java.dev.msv:msv-core)
Requires:          jpackage-utils


%description
Jettison is a collection of Java APIs (like STaX and DOM) which read
and write JSON. This allows nearly transparent enablement of JSON based
web services in services frameworks like CXF or XML serialization
frameworks like XStream.


%package javadoc
Summary:           Javadocs for %{name}
Group:             Documentation
Requires:          %{name} = %{version}-%{release}
Requires:          jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q
%patch0 -p1
# We don't need wagon-webdav
%pom_xpath_remove pom:build/pom:extensions

%build
# Disable the tests until BZ#796739 is fixed:
mvn-rpmbuild -Dproject.build.sourceEncoding=UTF-8 -Dmaven.test.skip=true install javadoc:aggregate


%install
# Jar files:
install -d -m 755 %{buildroot}%{_javadir}
cp -p target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# Javadoc files:
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/.

# POM files:
install -d -m 755 %{buildroot}%{_mavenpomdir}
cp -p pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# Dependencies map:
%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%doc src/main/resources/META-INF/LICENSE
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}


%files javadoc
%doc src/main/resources/META-INF/LICENSE
%{_javadocdir}/%{name}




%changelog
* Sun Dec 22 2013 dmorgan <dmorgan> 1.3.3-4.mga4
+ Revision: 559879
- Fix BuildRequires

* Tue Oct 22 2013 umeabot <umeabot> 1.3.3-3.mga4
+ Revision: 542008
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 1.3.3-2.mga4
+ Revision: 496666
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 355333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 pterjan <pterjan> 1.3.2-1.mga3
+ Revision: 334396
- Build against woodstox-core

* Thu Jan 26 2012 gil <gil> 1.3.1-1.mga3
+ Revision: 202018
- update to 1.3.1

* Sat Dec 03 2011 gil <gil> 1.3-1.mga2
+ Revision: 175619
- update to 1.3

* Sat Dec 03 2011 gil <gil> 1.2-5.mga2
+ Revision: 175594
- added OSGi support
  generated ant build scripts

* Thu Dec 01 2011 gil <gil> 1.2-4.mga2
+ Revision: 175026
- add maven support

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2-3.mga1
+ Revision: 92540
- Rebuild after bootstrapping
- imported package jettison


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 25 2010 Sandro Mathys <red at fedoraproject.org> - 1.2-1
- update to upstream 1.2

* Sun Jun 28 2009 Sandro Mathys <red at fedoraproject.org> - 1.1-1
- initial build
